Get XML DSP Pop Feed
This endpoint fetches DSP Pop Feed(s).
HTTP Request
Section titled “HTTP Request”GET https://adelion.com/api/xml/dsppopfeed/get| Parameter | Type | Description | Requirement |
|---|---|---|---|
| Id | int | DSP Pop Feed ID, if sent, request will fetch DSP Pop Feed with exact ID, otherwise it fill fetch all DSP Pop Feeds. | optional |
| AdvertiserId | int | Advertiser ID, if sent, request will fetch DSP Pop Feeds with exact advertiser ID, otherwise it fill fetch all DSP Pop Feeds. | optional |
| AccManagerId | int | Account Manager ID, if sent, request will fetch DSP Pop Feeds with exact Account Manager ID (User ID), otherwise it fill fetch all DSP Pop Feeds. | optional |
| ActiveOnly | int | Request will fetch only active DSP Pop Feeds if set to 1, otherwise it fill fetch all DSP Pop Feeds. | optional |
To get DSP Pop Feed, send query parameter like this: Id=1 or AdvertiserId=1 or AccManagerId=5
Or if you want to get all Video Ads, don’t include either of Id or AdvertiserId or AccManagerId parameters, or set them as 0.
Response
Section titled “Response”{ "Id": 1, "TeamId": 1, "AdvertiserId": 1, "AdvertiserName": "Advertiser", "Name": "DSP Pop Feed 1", "Tags": [ 1 ], "FeedUrlUsEast": "https://us-east.advertiser.com/pop?feed=123", "FeedUrlEu": "https://eu-east.advertiser.com/pop?feed=123", "FeedUrlApac": "https://eu-east.advertiser.com/pop?feed=123", "StatsApi": "", "StatsDashboardUrl": "", "DirectUrl": "", "FixedSpendCpc": 0.01, "MaxQps": 0, "AutoOptimize": 1, "PriceImp1000": 0, "SendOriginalSite": 0, "RequestsDailyLimit": 0, "BidsDailyLimit": 0, "ImpressionsDailyLimit": 0, "ImpressionsLimitPerIp": 5, "RevenueDailyLimit": 0.0, "MaxBidfloor": 0.8, "MinTmax": 350, "MaxIvt": 50.0, "DomainsBrandsListMode": 0, "DomainsBrandsList": [ 1 ], "PubIdListMode": 0, "PubIdList": "", "IpBlacklists": [ 1 ], "NonEmptyReferer": 1, "RefererMatch": 1, "IpMatch": 1, "UaMatch": 1, "AllowIpV6": 1, "CheckSiteLive": 0, "JsCheck": 0, "IabCategories": [ "IAB1-1", "IAB2-1", "IAB3" ], "Countries": [ { "CC": "US", "Country": "United States" } ], "Os": [ { "Family": "Windows", "Versions": [ { "Major": "10", "Minor": "" } ] } ], "Browsers": [ { "Family": "Chrome" } ], "DeviceTypes": [ 1, 2, 3, 4, 5 ], "RtbEps": [ 1 ], "PopFeeds": [ 1 ], "StatsByDate": "https://adelion.com/api/xml/stats/advertiser/pop?username=advertiser1&auth=7sdd23&feed=1&date_from={date_from}&date_to={date_to}&columns=DateStats,RemoteRequests,NetImpressions,Revenue", "AvgRequestTimeMs": 55, "Qps": 422, "AccManagerId": 5, "AccManagerName": "John Doe", "Status": 0, "StatusString": "Active"}[ { "Id": 1, "TeamId": 1, "AdvertiserIdId": 1, "AdvertiserName": "Advertiser", "Name": "DSP Pop Feed 1", "Tags": [ 1 ], "FeedUrlUsEast": "https://us-east.advertiser.com/pop?feed=123", "FeedUrlEu": "https://eu-east.advertiser.com/pop?feed=123", "FeedUrlApac": "https://eu-east.advertiser.com/pop?feed=123", "StatsApi": "", "StatsDashboardUrl": "", "DirectUrl": "", "FixedSpendCpc": 0.01, "MaxQps": 0, "AutoOptimize": 1, "PriceImp1000": 0, "SendOriginalSite": 0, "RequestsDailyLimit": 0, "BidsDailyLimit": 0, "ImpressionsDailyLimit": 0, "ImpressionsLimitPerIp": 5, "RevenueDailyLimit": 0.0, "MaxBidfloor": 0.8, "MinTmax": 350, "MaxIvt": 50.0, "NonEmptyReferer": 1, "RefererMatch": 1, "IpMatch": 1, "UaMatch": 1, "AllowIpV6": 1, "CheckSiteLive": 0, "JsCheck": 0, "RtbEps": [ 1 ], "PopFeeds": [ 1 ], "StatsByDate": "https://adelion.com/api/xml/stats/advertiser/pop?username=advertiser1&auth=7sdd23&feed=1&date_from={date_from}&date_to={date_to}&columns=DateStats,RemoteRequests,NetImpressions,Revenue", "AvgRequestTimeMs": 55, "Qps": 422, "AccManagerId": 5, "AccManagerName": "John Doe", "Status": 0, "StatusString": "Active" }]Failure
Section titled “Failure”{ "Status": "Error", "Error": "[error description]"}| Code | Status | Meaning |
|---|---|---|
401 | Unauthorized | Your access token is invalid. |
406 | Not Acceptable | One or more JSON values are missing or malformed, or the requested object was not found. |
500 | Internal Server Error | The server encountered a problem. Try again later. |